Set issue pin
curl --request PATCH \
--url https://api.uselemma.ai/issues/{issue_id}/pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"pinned": true
}
'import requests
url = "https://api.uselemma.ai/issues/{issue_id}/pin"
payload = {
"project_id": "<string>",
"pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', pinned: true})
};
fetch('https://api.uselemma.ai/issues/{issue_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uselemma.ai/issues/{issue_id}/pin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'pinned' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uselemma.ai/issues/{issue_id}/pin"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"pinned\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.uselemma.ai/issues/{issue_id}/pin")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"pinned\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uselemma.ai/issues/{issue_id}/pin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"pinned\": true\n}"
response = http.request(request)
puts response.read_body{
"issue": {
"id": "<string>",
"agent_name": "<string>",
"name": "<string>",
"category": "retry_loop",
"locus": "<string>",
"fault": "<string>",
"param": "<string>",
"status": "open",
"pinned": true,
"assignee_user_id": "<string>",
"dismissal_reason": "False positive",
"dismissal_detail": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"regressed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"assessment": {
"behavior": "<string>",
"happened": "<string>",
"canonical_mechanism": "<string>",
"subsystem": "<string>",
"failure_class": "<string>"
},
"fix_references": [
{
"id": "<string>",
"url": "<string>",
"kind": "<string>",
"note": "<string>"
}
],
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrence_count": 123,
"trace_count": 123,
"introduced_in_release": "<string>",
"last_seen_in_release": "<string>",
"insight": {
"id": "<string>",
"title": "<string>"
}
}
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}Issues
Set issue pin
Pin or unpin the issue.
PATCH
/
issues
/
{issue_id}
/
pin
Set issue pin
curl --request PATCH \
--url https://api.uselemma.ai/issues/{issue_id}/pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"pinned": true
}
'import requests
url = "https://api.uselemma.ai/issues/{issue_id}/pin"
payload = {
"project_id": "<string>",
"pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', pinned: true})
};
fetch('https://api.uselemma.ai/issues/{issue_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uselemma.ai/issues/{issue_id}/pin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'pinned' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uselemma.ai/issues/{issue_id}/pin"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"pinned\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.uselemma.ai/issues/{issue_id}/pin")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"pinned\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uselemma.ai/issues/{issue_id}/pin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"pinned\": true\n}"
response = http.request(request)
puts response.read_body{
"issue": {
"id": "<string>",
"agent_name": "<string>",
"name": "<string>",
"category": "retry_loop",
"locus": "<string>",
"fault": "<string>",
"param": "<string>",
"status": "open",
"pinned": true,
"assignee_user_id": "<string>",
"dismissal_reason": "False positive",
"dismissal_detail": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"regressed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"assessment": {
"behavior": "<string>",
"happened": "<string>",
"canonical_mechanism": "<string>",
"subsystem": "<string>",
"failure_class": "<string>"
},
"fix_references": [
{
"id": "<string>",
"url": "<string>",
"kind": "<string>",
"note": "<string>"
}
],
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrence_count": 123,
"trace_count": 123,
"introduced_in_release": "<string>",
"last_seen_in_release": "<string>",
"insight": {
"id": "<string>",
"title": "<string>"
}
}
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}